# Set-RASSystemSettings.md

## NAME

Set-RASSystemSettings

## SYNOPSIS

Modifies RAS system configuration settings.

## SYNTAX

\*\*Set-RASSystemSettings \[[CEPEnabled](#cepenabled-string) *(bool)*] \[[CheckForUpdateOnLaunch](#checkforupdateonlaunch-string) *(bool)*] \[[ResetIdleSessionAfterMins](#resetidlesessionaftermins-string) *(uint)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies RAS system configuration settings.

## PARAMETERS

## SiteId (uint)

The site ID.

To obtain the ID of a desired site, use the Get-Sites cmdlet.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## CEPEnabled (bool)

Customer Experience Program: Enable (True) or disable (False).

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ResetIdleSessionAfterMins (uint)

Reset RAS Console Idle session after (minutes).

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## CheckForUpdateOnLaunch (bool)

Whether Check for update is enabled on launch.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASSystemSettings -CEPEnabled $false

Enables Customer Experience Program in system configuration settings.\
\*\*---------- EXAMPLE 2 ----------

Set-RASSystemSettings -ResetIdleSessionAfterMins 5

Sets idle session timers to 5 minutes in system configuration settings.\
\*\*---------- EXAMPLE 3 ----------

Set-RASSystemSettings -CheckForUpdateOnLaunch $true

Enables the check for updates on launch in system configuration settings.

## RELATED LINKS

* [Set-RASHelpDeskEmailSettings](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/cmdlets/Set-RASHelpDeskEmailSettings.md)
* [Set-RASProxySettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasproxysettings.md)
* [Get-RASSystemSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rassystemsettings.md)
* [Set-RASClientSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasclientsettings.md)
* [Set-RASFarmSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasfarmsettings.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rassystemsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
